/*
 * Practica 3.
 *
 * Practicas Metodologia de la Programacion.
 * Curso 2008 - 2009
 *
 * Vicente Lujan Mansilla
 * Lorena Margareto Bisquert
 */

#include "Busqueda.h"
#include<fstream>

using namespace std;

int main()
{

	Busqueda bus;
	ofstream f1, f2, f3;
	ofstream f4, f5, f6;

	f1.open("bin_iter.dat");
	f2.open("bin_rec.dat");
	f3.open("ter_iter.dat");
	
	f4.open("bin_iter_r.dat");
	f5.open("bin_rec_r.dat");
	f6.open("ter_iter_r.dat");

	bus.testBB_I(200, 5000, 200, f1);
	bus.testBB_R(200, 5000, 200, f2);
	bus.testBT(200, 5000, 200, f3);
	
	bus.testBB_I_real(200, 5000, 200, f4);
	bus.testBB_R_real(200, 5000, 200, f5);
	bus.testBT_real(200, 5000, 200, f6);

	f1.close();
	f2.close();
	f3.close();
    	f4.close();
	f5.close();
	f6.close();

    return 0;
}
